Name: mpmflops
Version: 0.1
Release: elv.alt1

Summary: MP MFLOPS Benchmark
License: MIT
Group: Monitoring
Url: https://github.com/EntityFX/anybench

BuildRequires: git

%description
Synthetic benchmark that tries to achieve peak FP performance on CPU.

%prep
%setup -n %name -c -T
rm -rf %_builddir/%name
mkdir -p %_builddir/%name
cd %_builddir/%name
git clone %url .

cat > Makefile <<EOF
CFLAGS = -O3 -g
CPPFLAGS = -Isrc/benchmarks/common -Isrc/include
LDLIBS = -lpthread
LDFLAGS = -O3 -g
VPATH = src/benchmarks/generic/mpmflops:src/benchmarks/common

all: mpmflops
mpmflops: mpmflops.o cpuidc64.o
EOF

%build
%make_build

%install
install -d %buildroot%_bindir
install mpmflops %buildroot%_bindir

%files
%_bindir/mpmflops
